Shopify product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-shopify-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_domain": "e.g. gymshark.com",
"product": "e.g. mens-tree-runners"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-shopify-products"
payload = {
"store_domain": "e.g. gymshark.com",
"product": "e.g. mens-tree-runners"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store_domain: 'e.g. gymshark.com', product: 'e.g. mens-tree-runners'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-shopify-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "shopify_product",
"store_domain": "allbirds.com",
"product": "mens-tree-runners",
"human": "# Shopify product\n\n- **Store:** allbirds.com\n- **Product:** mens-tree-runners\n- **Proxy traffic:** 8.9 KB\n- **Title:** Men's Tree Runner - Jet Black (White Sole)\n- **Brand:** Allbirds\n- **Type:** Shoes\n- **Price:** 100 USD\n- **Available:** yes",
"machine": {
"store_domain": "allbirds.com",
"product": {
"id": 4870548979792,
"alias": "mens-tree-runners",
"title": "Men's Tree Runner - Jet Black (White Sole)",
"url": "https://allbirds.com/products/mens-tree-runners",
"description": "The Allbirds Tree Runner is a breathable and lightweight sneaker made with responsibly sourced eucalyptus tree fiber that feels silky smooth and cool on your skin. These shoes are perfect for everyday",
"description_html": "<p>The Allbirds Tree Runner is a breathable and lightweight sneaker made with responsibly sourced eucalyptus tree fiber that feels silky smooth and cool on your skin. These shoes are perfect for every",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => 4.52",
"allbirds::cfId => color-mens-tree-runners-jet-black-white"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/TR3MJBW080_SHOE_LEFT_GLOBAL_MENS_TREE_RUNNER_JET_BLACK_WHITE.png?v=1751165486",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/TR3MJBW080_SHOE_LEFT_GLOBAL_MENS_TREE_RUNNER_JET_BLACK_WHITE.png?v=1751165486",
"https://cdn.shopify.com/s/files/1/1104/4168/files/TR3MJBW080_SHOE_BACK_GLOBAL_MENS_TREE_RUNNER_JET_BLACK_WHITE.png?v=1751165486"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"8",
"9"
]
}
],
"variants": [
{
"id": 33179624669264,
"title": "8",
"sku": "TR3MJBW080",
"barcode": "843416184854",
"price": 100,
"list_price": null,
"currency": "USD",
"available": true,
"inventory_quantity": 57,
"inventory_policy": "deny",
"inventory_management": "shopify",
"fulfillment_service": "manual",
"requires_shipping": true,
"taxable": true,
"option1": "8",
"option2": null,
"option3": null,
"grams": 860,
"weight": 1.896,
"weight_unit": "lb",
"position": 1,
"image": null,
"created_at": "2021-01-29T13:57:15-08:00",
"updated_at": "2026-09-30T08:12:23-07:00"
},
{
"id": 33179624702032,
"title": "9",
"sku": "TR3MJBW090",
"barcode": "843416184861",
"price": 100,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": 0,
"inventory_policy": "deny",
"inventory_management": "shopify",
"fulfillment_service": "manual",
"requires_shipping": true,
"taxable": true,
"option1": "9",
"option2": null,
"option3": null,
"grams": 935,
"weight": 2.061,
"weight_unit": "lb",
"position": 2,
"image": null,
"created_at": "2021-01-29T13:57:15-08:00",
"updated_at": "2026-09-30T08:12:23-07:00"
}
],
"currency": "USD",
"price_min": 100,
"price_max": 100,
"available": true,
"published_at": "2026-09-25T16:57:46-07:00",
"created_at": "2021-01-29T13:57:15-08:00",
"updated_at": "2026-09-30T08:12:23-07:00",
"source": "json"
},
"proxy_traffic_bytes": 9067
},
"total_points": 5
}E-commerce & Marketplaces
Shopify product
Get one Shopify product by store domain and handle: brand, type, tags, images, options and all variants with price, SKU, barcode, availability and stock. 5 point per returned record.
POST
/
functions
/
v1
/
run-shopify-products
Shopify product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.